/**
 * Associated parties list
 * Created by segalk on 02/26/2018
 */
(function() {
    'use strict';

    angular.module('aml.customer.details').directive('amlCustomerList', amlCustomerList);

    function amlCustomerList() {
        return {
            restrict: 'E',
            scope: {
                customerList: '='
            },
            templateUrl: 'customers/customersList/customerListDirective.html',
            controller: 'CustomerListDirectiveController',
            controllerAs: 'vm',
            bindToController: true
        };
    }
})();