/* MAINDOC
+------------------------------------------------------------------------------+
| NAME:    dbdttmfmt.sas
| PRODUCT: SAS Compliance Solutions
| SYSTEM:  Windows, Unix
| DESC:    Database Datetime Format
|          Return a SAS datetime format appropriate to the DB being used.
+------------------------------------------------------------------------------+
MAINDOCEND */

/*-------------------------------------------------------------------
 * Copyright (c) 2018 by SAS Institute Inc., Cary, NC 27513 USA
 *  ---All Rights Reserved.
 *-------------------------------------------------------------------*/

%macro fcf_dbdttmfmt;
	%if %upcase(&dbflavor.)=ODBC %then datetime22.;
	%else %if %upcase(&dbflavor.) = TERADATA %then datetime19.;
	%else datetime20.;
%mend fcf_dbdttmfmt;